ListLike-3.1.7.1: Generic support for list-like structures

Portability | portable
Stability | provisional
Maintainer | John Lato <jwlato@gmail.com>
Safe Haskell | Safe-Inferred

Data.ListLike.CharString

Description

Newtype wrapper for ByteString to enable a Char-based interface Re-exported by Data.ListLike.

Written by John Lato, jwlato@gmail.com

Synopsis

- newtype CharString = CS {
  - unCS :: ByteString
  }
- newtype CharStringLazy = CSL {
  - unCSL :: ByteString
  }

# Documentation

newtype CharString

Newtype wrapper around Data.ByteString.Char8.ByteString, this allows for ListLike instances with Char elements.

Constructors

CS |

Fields

unCS :: ByteString

Instances

Eq CharString |
Ord CharString |
Read CharString |
Show CharString |
Monoid CharString |
StringLike CharString |
FoldableLL CharString Char |
ListLike CharString Char |
ListLikeIO CharString Char |

newtype CharStringLazy

Newtype wrapper around Data.ByteString.Lazy.Char8.ByteString, this allows for ListLike instances with Char elements.

Constructors

CSL |

Fields

unCSL :: ByteString

Instances

Eq CharStringLazy |
Ord CharStringLazy |
Read CharStringLazy |
Show CharStringLazy |
Monoid CharStringLazy |
StringLike CharStringLazy |
FoldableLL CharStringLazy Char |
ListLike CharStringLazy Char |
ListLikeIO CharStringLazy Char |